Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002010KdenliveRenderingpublic2011-02-08 11:122011-06-10 10:49
Reporterbarjaczen 
Assigned Toddennedy 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSMandriva LinuxOS Version2010.2
Product VersionRecent git 
Target VersionFixed in Version0.8 
Summary0002010: Rendering to .vob (dvd profile) sound track muted
DescriptionRendering to .vob for dvd creation produces a .vob with a sound track, but is silent.
The same applies to single or double pass.
Using the same parameters in ffmpeg to encode a file to.vob the ac3 codec works fine.
Terminal output of render:-
//STARTING RENDERING: true , false , "/home/baz/kdenlive/20110203/bin/melt" , "hdv_720_30p" , "avformat" , "-" , "consumer:/home/baz/.kde4/tmp-jackodesktop/kdenliveD12691.mlt" , "/home/baz/kdenlive/mavis2.vob" , () , ("f=dvd", "vcodec=mpeg2video", "acodec=ac3", "s=720x480", "b=6000k", "maxrate=9000k", "minrate=0", "bufsize=1835008", "mux_packet_s=2048", "mux_rate=10080000", "ab=192k", "ar=48000", "g=18", "me_range=63", "trellis=1", "profile=dv_ntsc_wide") , -1 , -1
QPainter::end: Painter ended with 2 saved states
Started render process: "/home/baz/kdenlive/20110203/bin/melt" "consumer:/home/baz/.kde4/tmp-jackodesktop/kdenliveD12691.mlt profile=hdv_720_30p -consumer avformat:/home/baz/kdenlive/mavis2.vob progress=1 f=dvd vcodec=mpeg2video acodec=ac3 s=720x480 b=6000k maxrate=9000k minrate=0 bufsize=1835008 mux_packet_s=2048 mux_rate=10080000 ab=192k ar=48000 g=18 me_range=63 trellis=1 profile=dv_ntsc_wide"
kdenlive(12691) KdenliveDoc::slotAutoSave: // AUTOSAVE FILE: "/home/baz/.kde4/data/stalefiles/kdenlive/vobtest.kdenlivepZnfile_%2Fhome%2Fbaz%2FkdenliveBRCeKpZn"
kdenlive(12691) KdenliveDoc::saveSceneList: // FOUD 0 EFFECTS+++++++++++++++++++++
Rendering of "/home/baz/kdenlive/mavis2.vob" finished

Output when rendering same project to mp2:-
//STARTING RENDERING: true , false , "/home/baz/kdenlive/20110203/bin/melt" , "hdv_720_30p" , "avformat" , "-" , "/home/baz/.kde4/tmp-jackodesktop/kdenliveP12691.mlt" , "/home/baz/kdenlive/mavis2.mpg" , () , ("f=mpeg", "acodec=mp2", "ab=384k", "ar=48000", "vcodec=mpeg2video", "minrate=0", "b=4000k", "bf=2", "b_strategy=1", "trellis=1", "aspect=@16/9") , -1 , -1
QPainter::end: Painter ended with 2 saved states
Started render process: "/home/baz/kdenlive/20110203/bin/melt" "/home/baz/.kde4/tmp-jackodesktop/kdenliveP12691.mlt -profile hdv_720_30p -consumer avformat:/home/baz/kdenlive/mavis2.mpg progress=1 f=mpeg acodec=mp2 ab=384k ar=48000 vcodec=mpeg2video minrate=0 b=4000k bf=2 b_strategy=1 trellis=1 aspect=@16/9"
kdenlive(12691) KdenliveDoc::slotAutoSave: // AUTOSAVE FILE: "/home/baz/.kde4/data/stalefiles/kdenlive/vobtest.kdenlivepZnfile_%2Fhome%2Fbaz%2FkdenliveBRCeKpZn"
kdenlive(12691) KdenliveDoc::saveSceneList: // FOUD 0 EFFECTS+++++++++++++++++++++
Rendering of "/home/baz/kdenlive/mavis2.mpg" finished
Additional InformationAttached tar.gz with both output files
TagsNo tags attached.
Build/Install Method(select)
Attached Filesgz file icon mavis2.mpg.tar.gz [^] (5,678,566 bytes) 2011-02-08 11:12

- Relationships

-  Notes
(0006544)
ddennedy (developer)
2011-03-06 09:15

Using head versions of ffmpeg and mlt gives me crash on ac3, which I am investigating. It works with mp2. So, these seem related. Perhaps it went from used-to-work to silent to crashing.
(0006545)
ddennedy (developer)
2011-03-06 10:30

Fixed in MLT git commit ae6b1460.

- Issue History
Date Modified Username Field Change
2011-02-08 11:12 barjaczen New Issue
2011-02-08 11:12 barjaczen File Added: mavis2.mpg.tar.gz
2011-03-06 09:13 ddennedy Assigned To => ddennedy
2011-03-06 09:13 ddennedy Status new => assigned
2011-03-06 09:15 ddennedy Note Added: 0006544
2011-03-06 10:30 ddennedy Note Added: 0006545
2011-03-06 10:30 ddennedy Status assigned => resolved
2011-03-06 10:30 ddennedy Fixed in Version => Recent git
2011-03-06 10:30 ddennedy Resolution open => fixed
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:49 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker